Deployments.ai Docs
Observability

Show a finalized trace

GET /v1/observability/traces/{traceId} · SDK getObservabilityTrace · CLI deployments trace show

GET
/v1/observability/traces/{traceId}

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

traceId*string
Length1 <= length <= 160

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ObservabilityTraceResponse

application/json
  1. response
agent_definition_id?string
agent_deployment_id?string
agent_release_id?string
completed_at?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
duration_ms?number|||
environment_id*string
error_class?string
execution_purpose?string
fact_id*string
finalized_at?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
occurred_at*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
project_id*string
release_selection?string
root_run_id?string
run_count?number|||
run_id?string
session_id?string
status?string
total_cost_usd_micros?number|||
total_tokens?number|||
trace_id*string
trigger?string
curl -X GET "https://example.com/v1/observability/traces/string" \  -H "x-deployments-organization: string"
{  "agent_definition_id": "string",  "agent_deployment_id": "string",  "agent_release_id": "string",  "completed_at": "2019-08-24T14:15:22Z",  "duration_ms": 0,  "environment_id": "string",  "error_class": "string",  "execution_purpose": "string",  "fact_id": "string",  "finalized_at": "2019-08-24T14:15:22Z",  "occurred_at": "2019-08-24T14:15:22Z",  "project_id": "string",  "release_selection": "string",  "root_run_id": "string",  "run_count": 0,  "run_id": "string",  "session_id": "string",  "status": "string",  "total_cost_usd_micros": 0,  "total_tokens": 0,  "trace_id": "string",  "trigger": "string"}